package test;

import java.util.ArrayList;
import java.util.List;

import test.resource.ServletTest;
import test.servlet.TestServletConnection;
import test.servlet.event.get.TestGetCategories;
import test.servlet.event.get.TestImportDataFacebook;
import test.servlet.event.get.TestSearch;
import test.servlet.event.post.TestCreateCategory;
import test.servlet.event.post.TestCreateItem;
import test.servlet.event.post.TestDeleteCategory;
import test.servlet.event.post.TestDeleteItem;
import test.servlet.event.post.TestSetCategory;
import test.servlet.event.post.TestUpdateCategory;
import test.servlet.event.post.TestUpdateItem;
import test.servlet.user.get.TestExistsUser;
import test.servlet.user.post.TestCreateUser;
import test.servlet.user.post.TestLogin;
import test.servlet.user.post.TestUpdateUser;


/**This is the started from tests*/
public class Start {
	private static List<ServletTest> generateList()
	{
		List<ServletTest> tests = new ArrayList<ServletTest>();

		tests.add(new TestServletConnection() );

		tests.add(new TestImportDataFacebook() );
		tests.add(new TestGetCategories());
		tests.add(new TestSearch());


		tests.add(new TestCreateCategory());
		tests.add(new TestSetCategory());
		tests.add(new TestDeleteCategory());
		tests.add(new TestDeleteItem());
		tests.add(new TestUpdateCategory());
		tests.add(new TestUpdateItem());


		tests.add(new TestExistsUser());


		tests.add(new TestCreateUser());
		tests.add(new TestLogin());
		tests.add(new TestUpdateUser());
		tests.add(new TestCreateItem());


		return tests;
	}


	public static void main (String [] args){

		
		
		List<ServletTest> tests = generateList();

		for(ServletTest test : tests)
		{
			test.runTest();
		}

		for(ServletTest test : tests)
		{
			System.out.println(test);
		}




	}




}
