package test.resource;

import org.json.JSONArray;

import javafx.util.Pair;


/**Default class for Test*/

public abstract class ServletTest {
	
	public String domain = "http://localhost:8080/SnailServlet/";
	public String result="";
	
	
	public void runTest()
	{
		
		String className = this.getClass().getSimpleName();
		try{
			
			if(this.test())
			{
				System.out.println(String.format("%s%s%s" , className,new String(new char[30-className.length()]).replace("\0", "."), "pass" ));;
			}
				
			else
			{
				
				System.err.println(String.format("%s%s%s" , className,new String(new char[30-className.length()]).replace("\0", "."), "fail" ));;
				if(className.equals("TestServletConnection"))
				{
					System.err.println("Servlet is not working , please verify your connection");
					System.exit(1);
				}
			}
				
				
		}catch(Exception e)
		{
			System.err.println(String.format("%s%s%s" , className,new String(new char[30-className.length()]).replace("\0", "."), "fail" ));;
			e.printStackTrace();
			if(className.equals("TestServletConnection"))
			{
				System.err.println("Servlet is not working , please verify your connection");
				System.exit(1);
			}
		}
		
		
	}
	
	public abstract Pair<String, String> buildCheckSum();
	protected abstract boolean test() throws Exception;
	public abstract String buildUrl();
	
	protected boolean analyse(String result) throws Exception{
		this.result = result;
		JSONArray json = new JSONArray(result);
		return json.getJSONObject(1).getBoolean("request");
	}

	public String toString() {
		String className = this.getClass().getSimpleName();
		StringBuilder sb = new StringBuilder();
		sb.append(className);
		sb.append(": \n");
		sb.append(result+"\n");
		return sb.toString();
		
	}
	
}
