package test.resource;

import java.util.Map;

import org.json.JSONArray;

import javafx.util.Pair;


/**responsable to test the post methods*/
public abstract class ServletTestPost extends ServletTest {

	@Override
	public boolean test() throws Exception {
		ExecutePost post = new ExecutePost();


		String url = domain +this.buildUrl();
		Map<String , String > parameters = this.buildParameters();
		String result = post.execute(url, parameters);
		return this.analyse(result);
	}

	public abstract Map<String , String> buildParameters();

	

	@Override
	protected boolean analyse(String result ) throws Exception
	{
	
		JSONArray json = new JSONArray(result);
		boolean firstResult = super.analyse(result);
		Pair<String, String > check = this.buildCheckSum();
		
		String value = json.getJSONObject(0).getString(check.getKey());
	
		
		boolean secondResult = value.equals(check.getValue());
		
		return firstResult&&secondResult;
		

	}

}
